OpenMesh::Utils::TestingFramework Class Reference

Helper class for test programms. More...

`#include <OpenMesh/Tools/Utils/TestingFramework.hh>`

Inheritance diagram for OpenMesh::Utils::TestingFramework:
[legend]
Collaboration diagram for OpenMesh::Utils::TestingFramework:
[legend]

## Public Types

typedef TestingFramework | Self
typedef std::logic_error | verify_error
typedef TestFunc * | TestFuncPtr
typedef std::vector< TestFuncPtr > | TestSet

## Public Member Functions

| TestingFramework (std::ostream &_os)
template<typename ValueType >
bool | verify (const ValueType &_rc, const ValueType &_expected, const std::string &_info)
Self & | begin (std::string _title, const std::string &_info="")
Self & | end ()
Self & | info (const std::string &_info)
Self & | info (const std::ostringstream &_ostr)
size_t | errorTotal () const
size_t | errorCount () const
size_t | verifyTotal () const
size_t | verifyCount () const
size_t | goodTotal () const
size_t | goodCount () const
size_t | testTotal () const
size_t | testCount () const
int | run (void)

## Protected Member Functions

int | reg (TestFuncPtr _tfptr)

## Friends

class | TestFunc

## Detailed Description

Helper class for test programms.

The documentation for this class was generated from the following file:

- OpenMesh/Tools/Utils/TestingFramework.hh